%define 	module	imdb
Summary:	Python package useful to retrieve and manage the data of the IMDb movie database
Summary(pl.UTF-8):	Pakiet Pythona do uzyskiwania i zarządzania danymi z bazy danych filmów IMDb
Name:		python-%{module}
Version:	4.8
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/imdbpy/IMDbPY-%{version}.tar.gz
# Source0-md5:	89a78ed8b10215b939b4e3a1baf68549
URL:		http://imdbpy.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-lxml
# SQLAlchemy or SQLObject
Suggests:	python-SQLAlchemy
Suggests:	python-SQLObject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database. IMDbPY aims to provide an easy way to access
the IMDb's database using a Python script. Platform-independent and
written in pure Python, it's theoretically independent from the data
source (since IMDb provides two or three different interfaces to their
database). IMDbPY is mainly intended for programmers and developers
who want to build their Python programs using the IMDbPY package, but
some example scripts - useful for simple users - are included.

%description -l pl.UTF-8
IMDbPY to pythonowy pakiet przydatny do uzyskiwania i zarządzania
danymi z bazy danych filmów IMDb. Celem IMDbPY jest dostarczenie
łatwego sposobu na dostęp do baz IMDb z poziomu skryptów Pythona. Jest
niezależny od platformy i napisany w czystym Pythonie, więc jest
teoretycznie niezależny od źródła danych (jako że IMDb dostarcza dwa
lub trzy różne interfejsy do ich bazy). IMDbPY jest przeznaczony
głównie dla programistów chcących tworzyć programy przy użyciu tego
pakietu, ale załączonych jest także kilka przykładowych skryptów
przydatnych dla zwykłych użytkowników.

%prep
%setup -q -n IMDbPY-%{version}

rm docs/GPL.txt

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT{%{_prefix}%{_sysconfdir},%{_sysconfdir}}/imdbpy.cfg

# fix in setup.py instead
install -d $RPM_BUILD_ROOT%{_datadir}/locale/{en,it,tr,it}/LC_MESSAGES
rm $RPM_BUILD_ROOT%{_prefix}/imdb/locale/*.{pot,po}
mv $RPM_BUILD_ROOT{%{_prefix}/imdb/locale,%{_datadir}/locale}/en/LC_MESSAGES/imdbpy.mo
mv $RPM_BUILD_ROOT{%{_prefix}/imdb/locale,%{_datadir}/locale}/it/LC_MESSAGES/imdbpy.mo
mv $RPM_BUILD_ROOT{%{_prefix}/imdb/locale,%{_datadir}/locale}/tr/LC_MESSAGES/imdbpy.mo

# we use %doc
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

# .py ext is ugly
for a in $RPM_BUILD_ROOT%{_bindir}/*.py; do
	mv $a ${a%.py}
done

# add suffix to commands
for a in $RPM_BUILD_ROOT%{_bindir}/get_* $RPM_BUILD_ROOT%{_bindir}/search_*; do
	d=${a%/*}
	f=${a##*/}

	mv $a $d/imdbpy_$f
done

%find_lang imdbpy

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files -f imdbpy.lang
%defattr(644,root,root,755)
%doc docs/*.txt docs/README.????* docs/goodies
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/imdbpy.cfg
%attr(755,root,root) %{_bindir}/imdbpy_*
%attr(755,root,root) %{_bindir}/imdbpy2sql
%{py_sitedir}/*.egg-info
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/locale
%{py_sitedir}/%{module}/locale/*.py[co]
%dir %{py_sitedir}/%{module}/parser
%{py_sitedir}/%{module}/parser/*.py[co]
%dir %{py_sitedir}/%{module}/parser/http
%{py_sitedir}/%{module}/parser/http/*.py[co]
%dir %{py_sitedir}/%{module}/parser/http/bsouplxml
%{py_sitedir}/%{module}/parser/http/bsouplxml/*.py[co]
%dir %{py_sitedir}/%{module}/parser/mobile
%{py_sitedir}/%{module}/parser/mobile/*.py[co]
%dir %{py_sitedir}/%{module}/parser/sql
%{py_sitedir}/%{module}/parser/sql/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/parser/sql/*.so
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-imdb.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 08b0659
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e8d5ef9
- automatic change: use py_build/py_install macros

* Tue Nov 01 2011 areq <areq@pld-linux.org> a620dc7
- 4.8

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> 00cc3e9
- up to 4.7

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 4801a3e
- release 2

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 56ede19
- up to 4.6, prefix bin scripts with common name

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c837e13
- release 2

* Wed Nov 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b8dd999
- up to 4.3

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> c55665b
- release 2

* Sun Dec 14 2008 areq <areq@pld-linux.org> 23c337a
- 3.8

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0193c56
- release 2

* Tue Jun 17 2008 Karol Krenski <charles@pld-linux.org> 6809bf4
- BR: python-devel, rpm-pythonprov

* Sat May 31 2008 areq <areq@pld-linux.org> 52db86b
- 3.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5cd1f61
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a52b6cf
- converted to UTF-8

* Sat Sep 16 2006 maciek2w <maciek2w@pld-linux.org> 73e0cb5
- updated to 2.6
- added users' scripts to search IMDb

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> d1a6237
- spaces->tabs
- formatting

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 38b87e9
- removed %%include /usr/lib/rpm/macros.python

* Tue Jul 06 2004 areq <areq@pld-linux.org> b098633
- 1.3

* Wed May 26 2004 ankry <ankry@pld-linux.org> 8775156
- capitalization, tabs, other cosmetics

